searchData={"content_type":"text/markdown","items":[{"doc":"Descriptive statistics functions","ref":"Statistics.html","title":"Statistics","type":"module"},{"doc":"Calculate the the Pearson product-moment correlation coefficient of two lists.\n\nThe two lists are presumed to represent matched pairs of observations, the `x` and `y` of a simple regression.","ref":"Statistics.html#correlation/2","title":"Statistics.correlation/2","type":"function"},{"doc":"iex> Statistics.correlation([1,2,3,4], [1,3,5,6])\n    0.9897782665572894","ref":"Statistics.html#correlation/2-examples","title":"Examples - Statistics.correlation/2","type":"function"},{"doc":"Calculate the covariance of two lists.\n\nCovariance is a measure of how much two random variables change together.\nThe two lists are presumed to represent matched pairs of observations, such as the `x` and `y` of a simple regression.","ref":"Statistics.html#covariance/2","title":"Statistics.covariance/2","type":"function"},{"doc":"iex> Statistics.covariance([1,2,3,2,1], [1,4,5.2,7,99])\n    -17.89","ref":"Statistics.html#covariance/2-examples","title":"Examples - Statistics.covariance/2","type":"function"},{"doc":"Calculate the geometric mean of a list\n\nGeometric mean is the nth root of the product of n values","ref":"Statistics.html#geometric_mean/1","title":"Statistics.geometric_mean/1","type":"function"},{"doc":"iex> Statistics.geometric_mean([])\n    nil\n    iex> Statistics.geometric_mean([1,2,3])\n    1.8171205928321397","ref":"Statistics.html#geometric_mean/1-examples","title":"Examples - Statistics.geometric_mean/1","type":"function"},{"doc":"Calculates the harmonic mean from a list\n\nHarmonic mean is the number of values divided by\nthe sum of the reciprocal of all the values.","ref":"Statistics.html#harmonic_mean/1","title":"Statistics.harmonic_mean/1","type":"function"},{"doc":"iex> Statistics.harmonic_mean([])\n    nil\n    iex> Statistics.harmonic_mean([1,2,3,4,5,6,7,8,9,10,11,12,13,14,15])\n    4.5204836768674568","ref":"Statistics.html#harmonic_mean/1-examples","title":"Examples - Statistics.harmonic_mean/1","type":"function"},{"doc":"Get a frequency count of the values in a list","ref":"Statistics.html#hist/1","title":"Statistics.hist/1","type":"function"},{"doc":"iex> Statistics.hist([])\n    nil\n    iex> Statistics.hist([1,2,3,2,4,5,2,5,1,2,5,5])\n    %{1 => 2, 2 => 4, 3 => 1, 4 => 1, 5 => 4}","ref":"Statistics.html#hist/1-examples","title":"Examples - Statistics.hist/1","type":"function"},{"doc":"Calculate the inter-quartile range","ref":"Statistics.html#iqr/1","title":"Statistics.iqr/1","type":"function"},{"doc":"iex> Statistics.iqr([])\n    nil\n    iex> Statistics.iqr([1,2,3,4,5,6,7,8,9])\n    4","ref":"Statistics.html#iqr/1-examples","title":"Examples - Statistics.iqr/1","type":"function"},{"doc":"Computes the kurtosis (Fisher) of a list.\n\nKurtosis is the fourth central moment divided by the square of the variance.","ref":"Statistics.html#kurtosis/1","title":"Statistics.kurtosis/1","type":"function"},{"doc":"iex> Statistics.kurtosis([])\n    nil\n    iex> Statistics.kurtosis([1,2,3,2,1])\n    -1.1530612244897964","ref":"Statistics.html#kurtosis/1-examples","title":"Examples - Statistics.kurtosis/1","type":"function"},{"doc":"Get the maximum value from a list\n\n    iex> Statistics.max([])\n    nil\n    iex> Statistics.max([1,2,3])\n    3\n\nIf a non-empty list is provided, it is a call to Enum.max/1","ref":"Statistics.html#max/1","title":"Statistics.max/1","type":"function"},{"doc":"Calculate the mean from a list of numbers","ref":"Statistics.html#mean/1","title":"Statistics.mean/1","type":"function"},{"doc":"iex> Statistics.mean([])\n    nil\n    iex> Statistics.mean([1,2,3])\n    2.0","ref":"Statistics.html#mean/1-examples","title":"Examples - Statistics.mean/1","type":"function"},{"doc":"Get the median value from a list.","ref":"Statistics.html#median/1","title":"Statistics.median/1","type":"function"},{"doc":"iex> Statistics.median([])\n    nil\n    iex> Statistics.median([1,2,3])\n    2\n    iex> Statistics.median([1,2,3,4])\n    2.5","ref":"Statistics.html#median/1-examples","title":"Examples - Statistics.median/1","type":"function"},{"doc":"Get the minimum value from a list\n\n    iex> Statistics.min([])\n    nil\n    iex> Statistics.min([1,2,3])\n    1\n\nIf a non-empty list is provided, it is a call to Enum.min/1","ref":"Statistics.html#min/1","title":"Statistics.min/1","type":"function"},{"doc":"Get the most frequently occuring value","ref":"Statistics.html#mode/1","title":"Statistics.mode/1","type":"function"},{"doc":"iex> Statistics.mode([])\n    nil\n    iex> Statistics.mode([1,2,3,2,4,5,2,6,7,2,8,9])\n    2","ref":"Statistics.html#mode/1-examples","title":"Examples - Statistics.mode/1","type":"function"},{"doc":"Calculates the nth moment about the mean for a sample.\n\nGenerally used to calculate coefficients of skewness and  kurtosis.\nReturns the n-th central moment as a float\nThe denominator for the moment calculation is the number of\nobservations, no degrees of freedom correction is done.","ref":"Statistics.html#moment/2","title":"Statistics.moment/2","type":"function"},{"doc":"iex> Statistics.moment([1,2,3,4,5,6,7,8,9,8,7,6,5,4,3],3)\n    -1.3440000000000025\n    iex> Statistics.moment([], 2)\n    nil","ref":"Statistics.html#moment/2-examples","title":"Examples - Statistics.moment/2","type":"function"},{"doc":"Get the nth percentile cutoff from a list","ref":"Statistics.html#percentile/2","title":"Statistics.percentile/2","type":"function"},{"doc":"iex> Statistics.percentile([], 50)\n    nil\n    iex> Statistics.percentile([1], 50)\n    1\n    iex> Statistics.percentile([1,2,3,4,5,6,7,8,9],80)\n    7.4\n    iex> Statistics.percentile([1,2,3,4,5,6,7,8,9],100)\n    9","ref":"Statistics.html#percentile/2-examples","title":"Examples - Statistics.percentile/2","type":"function"},{"doc":"Get the quartile cutoff value from a list\n\nresponds to only first and third quartile.","ref":"Statistics.html#quartile/2","title":"Statistics.quartile/2","type":"function"},{"doc":"iex>  Statistics.quartile([1,2,3,4,5,6,7,8,9],:first)\n    3\n    iex>  Statistics.quartile([1,2,3,4,5,6,7,8,9],:third)\n    7","ref":"Statistics.html#quartile/2-examples","title":"Examples - Statistics.quartile/2","type":"function"},{"doc":"Get range of data","ref":"Statistics.html#range/1","title":"Statistics.range/1","type":"function"},{"doc":"iex> Statistics.range([1,2,3,4,5,6])\n    5","ref":"Statistics.html#range/1-examples","title":"Examples - Statistics.range/1","type":"function"},{"doc":"Computes the skewness of a data set.\n\nFor normally distributed data, the skewness should be about 0. A skewness\nvalue > 0 means that there is more weight in the left tail of the\ndistribution.","ref":"Statistics.html#skew/1","title":"Statistics.skew/1","type":"function"},{"doc":"iex> Statistics.skew([])\n    nil\n    iex> Statistics.skew([1,2,3,2,1])\n    0.3436215967445454","ref":"Statistics.html#skew/1-examples","title":"Examples - Statistics.skew/1","type":"function"},{"doc":"Calculate the standard deviation of a list","ref":"Statistics.html#stdev/1","title":"Statistics.stdev/1","type":"function"},{"doc":"iex> Statistics.stdev([])\n    nil\n    iex> Statistics.stdev([1,2])\n    0.5","ref":"Statistics.html#stdev/1-examples","title":"Examples - Statistics.stdev/1","type":"function"},{"doc":"Sum the contents of a list\n\nCalls Enum.sum/1","ref":"Statistics.html#sum/1","title":"Statistics.sum/1","type":"function"},{"doc":"Calculate the trimmed mean of a list.\n\nCan specify cutoff values as a tuple, or simply choose the IQR min/max as the cutoffs","ref":"Statistics.html#trimmed_mean/2","title":"Statistics.trimmed_mean/2","type":"function"},{"doc":"iex> Statistics.trimmed_mean([], :iqr)\n    nil\n    iex> Statistics.trimmed_mean([1,2,3], {1,3})\n    2.0\n    iex> Statistics.trimmed_mean([1,2,3,4,5,5,6,6,7,7,8,8,10,11,12,13,14,15], :iqr)\n    7.3","ref":"Statistics.html#trimmed_mean/2-examples","title":"Examples - Statistics.trimmed_mean/2","type":"function"},{"doc":"Calculate variance from a list of numbers","ref":"Statistics.html#variance/1","title":"Statistics.variance/1","type":"function"},{"doc":"iex> Statistics.variance([])\n    nil\n    iex> Statistics.variance([1,2,3,4])\n    1.25\n    iex> Statistics.variance([55,56,60,65,54,51,39])\n    56.48979591836735","ref":"Statistics.html#variance/1-examples","title":"Examples - Statistics.variance/1","type":"function"},{"doc":"Calculate a standard `z` score for each item in a list","ref":"Statistics.html#zscore/1","title":"Statistics.zscore/1","type":"function"},{"doc":"iex> Statistics.zscore([3,2,3,4,5,6,5,4,3])\n    [-0.7427813527082074, -1.5784103745049407, -0.7427813527082074,\n    0.09284766908852597, 0.9284766908852594, 1.7641057126819928,\n    0.9284766908852594, 0.09284766908852597, -0.7427813527082074]","ref":"Statistics.html#zscore/1-examples","title":"Examples - Statistics.zscore/1","type":"function"},{"doc":"The Beta distribution","ref":"Statistics.Distributions.Beta.html","title":"Statistics.Distributions.Beta","type":"module"},{"doc":"The cumulative density function","ref":"Statistics.Distributions.Beta.html#cdf/2","title":"Statistics.Distributions.Beta.cdf/2","type":"function"},{"doc":"iex> Statistics.Distributions.Beta.cdf(1,100).(0.1)\n    0.9996401052677814","ref":"Statistics.Distributions.Beta.html#cdf/2-examples","title":"Examples - Statistics.Distributions.Beta.cdf/2","type":"function"},{"doc":"The probability density function","ref":"Statistics.Distributions.Beta.html#pdf/2","title":"Statistics.Distributions.Beta.pdf/2","type":"function"},{"doc":"iex> Statistics.Distributions.Beta.pdf(1,100).(0.1)\n    0.0029512665430652825","ref":"Statistics.Distributions.Beta.html#pdf/2-examples","title":"Examples - Statistics.Distributions.Beta.pdf/2","type":"function"},{"doc":"The percentile-point function","ref":"Statistics.Distributions.Beta.html#ppf/2","title":"Statistics.Distributions.Beta.ppf/2","type":"function"},{"doc":"iex> Statistics.Distributions.Beta.ppf(1,100).(0.1)\n    0.001053089271799999","ref":"Statistics.Distributions.Beta.html#ppf/2-examples","title":"Examples - Statistics.Distributions.Beta.ppf/2","type":"function"},{"doc":"Draw a random number from a Beta distribution","ref":"Statistics.Distributions.Beta.html#rand/2","title":"Statistics.Distributions.Beta.rand/2","type":"function"},{"doc":"iex> Statistics.Distributions.Beta.rand(1,100)\n    0.005922672626035741","ref":"Statistics.Distributions.Beta.html#rand/2-examples","title":"Examples - Statistics.Distributions.Beta.rand/2","type":"function"},{"doc":"Binomial distribution.\n\nThis models the expected outcome of a number\nof binary trials, each with known probability,\n(often called a Bernoulli trial)","ref":"Statistics.Distributions.Binomial.html","title":"Statistics.Distributions.Binomial","type":"module"},{"doc":"The cumulative density function","ref":"Statistics.Distributions.Binomial.html#cdf/2","title":"Statistics.Distributions.Binomial.cdf/2","type":"function"},{"doc":"iex> Statistics.Distributions.Binomial.cdf(4, 0.5).(2)\n    0.6875","ref":"Statistics.Distributions.Binomial.html#cdf/2-examples","title":"Examples - Statistics.Distributions.Binomial.cdf/2","type":"function"},{"doc":"The probability mass function.\n\nNote that calling the mass function with a `Float` will return `nil` because\nthis is a discrete probability distribution which only includes integer values.","ref":"Statistics.Distributions.Binomial.html#pmf/2","title":"Statistics.Distributions.Binomial.pmf/2","type":"function"},{"doc":"iex> Statistics.Distributions.Binomial.pmf(4, 0.5).(2)\n    0.375\n    iex> Statistics.Distributions.Binomial.pmf(4, 0.5).(0.2)\n    nil","ref":"Statistics.Distributions.Binomial.html#pmf/2-examples","title":"Examples - Statistics.Distributions.Binomial.pmf/2","type":"function"},{"doc":"The percentile-point function","ref":"Statistics.Distributions.Binomial.html#ppf/2","title":"Statistics.Distributions.Binomial.ppf/2","type":"function"},{"doc":"iex> Statistics.Distributions.Binomial.ppf(10, 0.5).(0.5)\n    5","ref":"Statistics.Distributions.Binomial.html#ppf/2-examples","title":"Examples - Statistics.Distributions.Binomial.ppf/2","type":"function"},{"doc":"Draw a random number from a binomial distribution\n\nUses the [rejection sampling method](https://en.wikipedia.org/wiki/Rejection_sampling)\nand returns a rounded `Float`.","ref":"Statistics.Distributions.Binomial.html#rand/2","title":"Statistics.Distributions.Binomial.rand/2","type":"function"},{"doc":"iex> Statistics.Distributions.Binomial.rand(10, 0.5)\n    5.0","ref":"Statistics.Distributions.Binomial.html#rand/2-examples","title":"Examples - Statistics.Distributions.Binomial.rand/2","type":"function"},{"doc":"Chi square distribution.\n\nTakes a *degrees of freedom* parameter.","ref":"Statistics.Distributions.Chisq.html","title":"Statistics.Distributions.Chisq","type":"module"},{"doc":"The cumulative density function","ref":"Statistics.Distributions.Chisq.html#cdf/1","title":"Statistics.Distributions.Chisq.cdf/1","type":"function"},{"doc":"iex> Statistics.Distributions.Chisq.cdf(2).(2)\n    0.6321205588285578","ref":"Statistics.Distributions.Chisq.html#cdf/1-examples","title":"Examples - Statistics.Distributions.Chisq.cdf/1","type":"function"},{"doc":"The probability density function","ref":"Statistics.Distributions.Chisq.html#pdf/1","title":"Statistics.Distributions.Chisq.pdf/1","type":"function"},{"doc":"iex> Statistics.Distributions.Chisq.pdf(1).(2)\n    0.10377687435514868","ref":"Statistics.Distributions.Chisq.html#pdf/1-examples","title":"Examples - Statistics.Distributions.Chisq.pdf/1","type":"function"},{"doc":"The percentile-point function","ref":"Statistics.Distributions.Chisq.html#ppf/1","title":"Statistics.Distributions.Chisq.ppf/1","type":"function"},{"doc":"iex> Statistics.Distributions.Chisq.ppf(1).(0.95)\n    3.841458820694101","ref":"Statistics.Distributions.Chisq.html#ppf/1-examples","title":"Examples - Statistics.Distributions.Chisq.ppf/1","type":"function"},{"doc":"Draw a random number from a t distribution with specified degrees of freedom\n\nUses the [rejection sampling method](https://en.wikipedia.org/wiki/Rejection_sampling)","ref":"Statistics.Distributions.Chisq.html#rand/1","title":"Statistics.Distributions.Chisq.rand/1","type":"function"},{"doc":"iex> Statistics.Distributions.Chisq.rand(2)\n    1.232433646523534767","ref":"Statistics.Distributions.Chisq.html#rand/1-examples","title":"Examples - Statistics.Distributions.Chisq.rand/1","type":"function"},{"doc":"Exponential distribution.\n\n`lambda` is the rate parameter and must be greater than zero.","ref":"Statistics.Distributions.Exponential.html","title":"Statistics.Distributions.Exponential","type":"module"},{"doc":"The cumulative density function","ref":"Statistics.Distributions.Exponential.html#cdf/0","title":"Statistics.Distributions.Exponential.cdf/0","type":"function"},{"doc":"iex> Statistics.Distributions.Exponential.cdf().(1)\n    0.6321205588285577","ref":"Statistics.Distributions.Exponential.html#cdf/0-examples","title":"Examples - Statistics.Distributions.Exponential.cdf/0","type":"function"},{"doc":"","ref":"Statistics.Distributions.Exponential.html#cdf/1","title":"Statistics.Distributions.Exponential.cdf/1","type":"function"},{"doc":"The probability density function","ref":"Statistics.Distributions.Exponential.html#pdf/0","title":"Statistics.Distributions.Exponential.pdf/0","type":"function"},{"doc":"iex> Statistics.Distributions.Exponential.pdf().(1)\n    0.36787944117144233","ref":"Statistics.Distributions.Exponential.html#pdf/0-examples","title":"Examples - Statistics.Distributions.Exponential.pdf/0","type":"function"},{"doc":"","ref":"Statistics.Distributions.Exponential.html#pdf/1","title":"Statistics.Distributions.Exponential.pdf/1","type":"function"},{"doc":"The percentile-point function","ref":"Statistics.Distributions.Exponential.html#ppf/0","title":"Statistics.Distributions.Exponential.ppf/0","type":"function"},{"doc":"iex> Statistics.Distributions.Exponential.ppf().(0.1)\n    0.10536051565782628","ref":"Statistics.Distributions.Exponential.html#ppf/0-examples","title":"Examples - Statistics.Distributions.Exponential.ppf/0","type":"function"},{"doc":"","ref":"Statistics.Distributions.Exponential.html#ppf/1","title":"Statistics.Distributions.Exponential.ppf/1","type":"function"},{"doc":"Draw a random variate from the distribution with specified lambda\n\nUses the closed-form inverse CDF (PPF) evaluated with uniform number between 0.0 and 1.0","ref":"Statistics.Distributions.Exponential.html#rand/0","title":"Statistics.Distributions.Exponential.rand/0","type":"function"},{"doc":"iex> Statistics.Distributions.Exponential.rand()\n    0.145709384787","ref":"Statistics.Distributions.Exponential.html#rand/0-examples","title":"Examples - Statistics.Distributions.Exponential.rand/0","type":"function"},{"doc":"","ref":"Statistics.Distributions.Exponential.html#rand/1","title":"Statistics.Distributions.Exponential.rand/1","type":"function"},{"doc":"The F distribution\n\nNote that `ppf/2` and `rand/2` here are very slow.","ref":"Statistics.Distributions.F.html","title":"Statistics.Distributions.F","type":"module"},{"doc":"The cumulative density function","ref":"Statistics.Distributions.F.html#cdf/2","title":"Statistics.Distributions.F.cdf/2","type":"function"},{"doc":"iex> Statistics.Distributions.F.cdf(1,1).(1)\n    0.4971668763845647\n    \nNOTE this is rather imprecise owing to the use\nof numerical integration of `Beta.pdf/2` to \napproximate the regularised incomplete beta function","ref":"Statistics.Distributions.F.html#cdf/2-examples","title":"Examples - Statistics.Distributions.F.cdf/2","type":"function"},{"doc":"The probability density function","ref":"Statistics.Distributions.F.html#pdf/2","title":"Statistics.Distributions.F.pdf/2","type":"function"},{"doc":"iex> Statistics.Distributions.F.pdf(1,1).(1)\n    0.15915494309189537","ref":"Statistics.Distributions.F.html#pdf/2-examples","title":"Examples - Statistics.Distributions.F.pdf/2","type":"function"},{"doc":"The percentile-point function","ref":"Statistics.Distributions.F.html#ppf/2","title":"Statistics.Distributions.F.ppf/2","type":"function"},{"doc":"iex> Statistics.Distributions.F.ppf(1,1).(1)\n    1.0180414899099999","ref":"Statistics.Distributions.F.html#ppf/2-examples","title":"Examples - Statistics.Distributions.F.ppf/2","type":"function"},{"doc":"Draw a random number from an F distribution","ref":"Statistics.Distributions.F.html#rand/2","title":"Statistics.Distributions.F.rand/2","type":"function"},{"doc":"Hypergeometric distribution.\n\nIt models the probability that an n numbers of trials\nresult in exactly k successes, with a population of pn items,\nwhere pk are considered as successes.","ref":"Statistics.Distributions.Hypergeometric.html","title":"Statistics.Distributions.Hypergeometric","type":"module"},{"doc":"The cumulative density function","ref":"Statistics.Distributions.Hypergeometric.html#cdf/3","title":"Statistics.Distributions.Hypergeometric.cdf/3","type":"function"},{"doc":"iex> Statistics.Distributions.Hypergeometric.cdf(52, 5, 13).(2)\n    0.9072328931572629","ref":"Statistics.Distributions.Hypergeometric.html#cdf/3-examples","title":"Examples - Statistics.Distributions.Hypergeometric.cdf/3","type":"function"},{"doc":"The probability mass function","ref":"Statistics.Distributions.Hypergeometric.html#pmf/3","title":"Statistics.Distributions.Hypergeometric.pmf/3","type":"function"},{"doc":"iex> Statistics.Distributions.Hypergeometric.pmf(50, 5, 10).(4)\n    0.003964583058015066","ref":"Statistics.Distributions.Hypergeometric.html#pmf/3-examples","title":"Examples - Statistics.Distributions.Hypergeometric.pmf/3","type":"function"},{"doc":"The percentile-point function","ref":"Statistics.Distributions.Hypergeometric.html#ppf/3","title":"Statistics.Distributions.Hypergeometric.ppf/3","type":"function"},{"doc":"iex> Statistics.Distributions.Hypergeometric.ppf(80, 20, 50).(0.1)\n    10","ref":"Statistics.Distributions.Hypergeometric.html#ppf/3-examples","title":"Examples - Statistics.Distributions.Hypergeometric.ppf/3","type":"function"},{"doc":"Draw a random number from hypergeometric distribution","ref":"Statistics.Distributions.Hypergeometric.html#rand/3","title":"Statistics.Distributions.Hypergeometric.rand/3","type":"function"},{"doc":"The normal, or gaussian, distribution\n\nWhen invoking the distibution functions without parameters, \na distribution with mean of 0 and standard deviation of 1 is assumed.","ref":"Statistics.Distributions.Normal.html","title":"Statistics.Distributions.Normal","type":"module"},{"doc":"The cumulative density function\n\nThe probability that a value lies below `x`\n\nCumulative gives a probability that a statistic\nis less than Z. This equates to the area of the distribution below Z.\ne.g:  Pr(Z = 0.69) = 0.7549. This value is usually given in Z tables.","ref":"Statistics.Distributions.Normal.html#cdf/0","title":"Statistics.Distributions.Normal.cdf/0","type":"function"},{"doc":"iex> Statistics.Distributions.Normal.cdf().(2)\n  0.9772499371127437\n  iex> Statistics.Distributions.Normal.cdf(0,1).(0)\n  0.5000000005","ref":"Statistics.Distributions.Normal.html#cdf/0-examples","title":"Examples - Statistics.Distributions.Normal.cdf/0","type":"function"},{"doc":"","ref":"Statistics.Distributions.Normal.html#cdf/2","title":"Statistics.Distributions.Normal.cdf/2","type":"function"},{"doc":"Probability density function\n\nRoughly the expectation of a given value in the distribution","ref":"Statistics.Distributions.Normal.html#pdf/0","title":"Statistics.Distributions.Normal.pdf/0","type":"function"},{"doc":"iex> Statistics.Distributions.Normal.pdf().(0)\n    0.3989422804014327\n    iex> Statistics.Distributions.Normal.pdf(0.2, 1).(1.3)\n    0.21785217703255055","ref":"Statistics.Distributions.Normal.html#pdf/0-examples","title":"Examples - Statistics.Distributions.Normal.pdf/0","type":"function"},{"doc":"","ref":"Statistics.Distributions.Normal.html#pdf/2","title":"Statistics.Distributions.Normal.pdf/2","type":"function"},{"doc":"The percentile-point function\n\nGet the maximum point which lies below the given probability.\nThis is the inverse of the cdf","ref":"Statistics.Distributions.Normal.html#ppf/0","title":"Statistics.Distributions.Normal.ppf/0","type":"function"},{"doc":"iex> Statistics.Distributions.Normal.ppf().(0.025)\n    -1.96039491692534\n    iex> Statistics.Distributions.Normal.ppf(7, 2.1).(0.25)\n    5.584202805909036","ref":"Statistics.Distributions.Normal.html#ppf/0-examples","title":"Examples - Statistics.Distributions.Normal.ppf/0","type":"function"},{"doc":"","ref":"Statistics.Distributions.Normal.html#ppf/2","title":"Statistics.Distributions.Normal.ppf/2","type":"function"},{"doc":"Draw a random number from a normal distribution\n\n`rnd/0` will return a random number from a normal distribution\nwith a mean of 0 and a standard deviation of 1\n\n`rnd/2` allows you to provide the mean and standard deviation\nparameters of the distribution from which the random number is drawn\n\nUses the [rejection sampling method](https://en.wikipedia.org/wiki/Rejection_sampling)","ref":"Statistics.Distributions.Normal.html#rand/0","title":"Statistics.Distributions.Normal.rand/0","type":"function"},{"doc":"iex> Statistics.Distributions.Normal.rand()\n    1.5990817245679434\n    iex> Statistics.Distributions.Normal.rand(22, 2.3)\n    23.900248900049736","ref":"Statistics.Distributions.Normal.html#rand/0-examples","title":"Examples - Statistics.Distributions.Normal.rand/0","type":"function"},{"doc":"","ref":"Statistics.Distributions.Normal.html#rand/2","title":"Statistics.Distributions.Normal.rand/2","type":"function"},{"doc":"The Poisson distribution is a discrete probablility distribution.\n\nIt models the probability of a given number of events occurring\nin a fixed interval if the events occur with a known average rate\nand are independent of the previous event.","ref":"Statistics.Distributions.Poisson.html","title":"Statistics.Distributions.Poisson","type":"module"},{"doc":"Get the probability that a value lies below `k`","ref":"Statistics.Distributions.Poisson.html#cdf/1","title":"Statistics.Distributions.Poisson.cdf/1","type":"function"},{"doc":"iex> Statistics.Distributions.Poisson.cdf(1).(1)\n  0.73575888234288467","ref":"Statistics.Distributions.Poisson.html#cdf/1-examples","title":"Examples - Statistics.Distributions.Poisson.cdf/1","type":"function"},{"doc":"Probability mass function","ref":"Statistics.Distributions.Poisson.html#pmf/1","title":"Statistics.Distributions.Poisson.pmf/1","type":"function"},{"doc":"iex> Statistics.Distributions.Poisson.pmf(1).(1)\n    0.36787944117144233","ref":"Statistics.Distributions.Poisson.html#pmf/1-examples","title":"Examples - Statistics.Distributions.Poisson.pmf/1","type":"function"},{"doc":"The percentile-point function\n\nGet the maximum point which lies below the given probability.\nThis is the inverse of the cdf and will take only positive integer values\n(but returns a float)","ref":"Statistics.Distributions.Poisson.html#ppf/1","title":"Statistics.Distributions.Poisson.ppf/1","type":"function"},{"doc":"iex> Statistics.Distributions.Poisson.ppf(1).(0.95)\n    3.0","ref":"Statistics.Distributions.Poisson.html#ppf/1-examples","title":"Examples - Statistics.Distributions.Poisson.ppf/1","type":"function"},{"doc":"Draw a random number from this distribution\n\nThis is a discrete distribution and the values it can take are positive integers.","ref":"Statistics.Distributions.Poisson.html#rand/1","title":"Statistics.Distributions.Poisson.rand/1","type":"function"},{"doc":"iex> Statistics.Distributions.Poisson.rand(1)\n    1.0","ref":"Statistics.Distributions.Poisson.html#rand/1-examples","title":"Examples - Statistics.Distributions.Poisson.rand/1","type":"function"},{"doc":"Student's t distribution.\n\nThis distribution is always centered around 0.0 and allows a *degrees of freedom* parameter.","ref":"Statistics.Distributions.T.html","title":"Statistics.Distributions.T","type":"module"},{"doc":"The cumulative density function\n\nNOTE: this currently uses the very slow Simpson's Rule to execute\na numerical integration of the `pdf` function to approximate\nthe CDF. This leads to a trade-off between precision and speed.\n\nA robust implementation of the 2F1 hypergeometric function is\nrequired to properly calculate the CDF of the t distribution.","ref":"Statistics.Distributions.T.html#cdf/1","title":"Statistics.Distributions.T.cdf/1","type":"function"},{"doc":"iex> Statistics.Distributions.T.cdf(3).(0)\n    0.4909182507070275","ref":"Statistics.Distributions.T.html#cdf/1-examples","title":"Examples - Statistics.Distributions.T.cdf/1","type":"function"},{"doc":"The probability density function","ref":"Statistics.Distributions.T.html#pdf/1","title":"Statistics.Distributions.T.pdf/1","type":"function"},{"doc":"iex> Statistics.Distributions.T.pdf(3).(0)\n    0.3675525969478612\n    iex> Statistics.Distributions.T.pdf(1).(3.2)\n    0.028319384891796327","ref":"Statistics.Distributions.T.html#pdf/1-examples","title":"Examples - Statistics.Distributions.T.pdf/1","type":"function"},{"doc":"The percentile-point function\n\nNOTE: this is very slow due to the current implementation of the CDF","ref":"Statistics.Distributions.T.html#ppf/1","title":"Statistics.Distributions.T.ppf/1","type":"function"},{"doc":"Draw a random number from a t distribution with specified degrees of freedom","ref":"Statistics.Distributions.T.html#rand/1","title":"Statistics.Distributions.T.rand/1","type":"function"},{"doc":"","ref":"Statistics.Math.html","title":"Statistics.Math","type":"module"},{"doc":"Get the absolute value of a number","ref":"Statistics.Math.html#abs/1","title":"Statistics.Math.abs/1","type":"function"},{"doc":"iex> Statistics.Math.abs(-4)\n    4","ref":"Statistics.Math.html#abs/1-examples","title":"Examples - Statistics.Math.abs/1","type":"function"},{"doc":"Ceiling function","ref":"Statistics.Math.html#ceil/1","title":"Statistics.Math.ceil/1","type":"function"},{"doc":"iex> Statistics.Math.ceil(3.999)\n    4.0","ref":"Statistics.Math.html#ceil/1-examples","title":"Examples - Statistics.Math.ceil/1","type":"function"},{"doc":"The number of k combinations of n\n\nBoth arguments must be integers","ref":"Statistics.Math.html#combination/2","title":"Statistics.Math.combination/2","type":"function"},{"doc":"iex> Statistics.Math.combination(10, 3)\n    120","ref":"Statistics.Math.html#combination/2-examples","title":"Examples - Statistics.Math.combination/2","type":"function"},{"doc":"The constant *e*","ref":"Statistics.Math.html#e/0","title":"Statistics.Math.e/0","type":"function"},{"doc":"iex> Statistics.Math.e\n    2.718281828459045","ref":"Statistics.Math.html#e/0-examples","title":"Examples - Statistics.Math.e/0","type":"function"},{"doc":"Exponent function\n\nRaise *e* to given power","ref":"Statistics.Math.html#exp/1","title":"Statistics.Math.exp/1","type":"function"},{"doc":"iex> Statistics.Math.exp(5.6)\n    270.42640742615254","ref":"Statistics.Math.html#exp/1-examples","title":"Examples - Statistics.Math.exp/1","type":"function"},{"doc":"Factorial!","ref":"Statistics.Math.html#factorial/1","title":"Statistics.Math.factorial/1","type":"function"},{"doc":"Floor function","ref":"Statistics.Math.html#floor/1","title":"Statistics.Math.floor/1","type":"function"},{"doc":"iex> Statistics.Math.floor(3.999)\n    3.0","ref":"Statistics.Math.html#floor/1-examples","title":"Examples - Statistics.Math.floor/1","type":"function"},{"doc":"The natural log\n\n( from Erlang Math module)","ref":"Statistics.Math.html#ln/1","title":"Statistics.Math.ln/1","type":"function"},{"doc":"iex> Statistics.Math.ln(20)\n    2.995732273553991\n    iex> Statistics.Math.ln(200)\n    5.298317366548036","ref":"Statistics.Math.html#ln/1-examples","title":"Examples - Statistics.Math.ln/1","type":"function"},{"doc":"The number of k permuations of n","ref":"Statistics.Math.html#permutation/2","title":"Statistics.Math.permutation/2","type":"function"},{"doc":"iex> Statistics.Math.permutation(10, 3)\n    720","ref":"Statistics.Math.html#permutation/2-examples","title":"Examples - Statistics.Math.permutation/2","type":"function"},{"doc":"The constant *pi*\n\n(returned from Erlang Math module)","ref":"Statistics.Math.html#pi/0","title":"Statistics.Math.pi/0","type":"function"},{"doc":"iex> Statistics.Math.pi\n    3.141592653589793","ref":"Statistics.Math.html#pi/0-examples","title":"Examples - Statistics.Math.pi/0","type":"function"},{"doc":"Get power from Erlang\n\nThis is needed because Elixir doesn't\ncurrently have the `**` operator","ref":"Statistics.Math.html#pow/2","title":"Statistics.Math.pow/2","type":"function"},{"doc":"iex> Statistics.Math.pow(2,3)\n    8.0\n    iex> Statistics.Math.pow(9,9)\n    387420489.0\n    iex> Statistics.Math.pow(2,0)\n    1\n    iex> Statistics.Math.pow(-2, 1.5)\n    -2.8284271247461903\n    iex> Statistics.Math.pow(0, 5)\n    0","ref":"Statistics.Math.html#pow/2-examples","title":"Examples - Statistics.Math.pow/2","type":"function"},{"doc":"Get a random number from erlang","ref":"Statistics.Math.html#rand/0","title":"Statistics.Math.rand/0","type":"function"},{"doc":"Round a decimal to a specific precision","ref":"Statistics.Math.html#round/2","title":"Statistics.Math.round/2","type":"function"},{"doc":"iex> Statistics.Math.round(0.123456, 4)\n    0.1235","ref":"Statistics.Math.html#round/2-examples","title":"Examples - Statistics.Math.round/2","type":"function"},{"doc":"Get square root\n\nreturn sqrt from Erlang","ref":"Statistics.Math.html#sqrt/1","title":"Statistics.Math.sqrt/1","type":"function"},{"doc":"iex> Statistics.Math.sqrt(9)\n    3.0\n    iex> Statistics.Math.sqrt(99)\n    9.9498743710662","ref":"Statistics.Math.html#sqrt/1-examples","title":"Examples - Statistics.Math.sqrt/1","type":"function"},{"doc":"Get the base integer from a float","ref":"Statistics.Math.html#to_int/1","title":"Statistics.Math.to_int/1","type":"function"},{"doc":"iex> Statistics.Math.to_int(66.6666)\n    66","ref":"Statistics.Math.html#to_int/1-examples","title":"Examples - Statistics.Math.to_int/1","type":"function"},{"doc":"","ref":"Statistics.Math.Functions.html","title":"Statistics.Math.Functions","type":"module"},{"doc":"The Beta function","ref":"Statistics.Math.Functions.html#beta/2","title":"Statistics.Math.Functions.beta/2","type":"function"},{"doc":"iex> Statistics.Math.Functions.beta(2, 0.5)\n    1.3333333333333324","ref":"Statistics.Math.Functions.html#beta/2-examples","title":"Examples - Statistics.Math.Functions.beta/2","type":"function"},{"doc":"The 'error' function\n\nFormula 7.1.26 given in Abramowitz and Stegun.\nFormula appears as 1 – (a1t1 + a2t2 + a3t3 + a4t4 + a5t5)exp(-x2)","ref":"Statistics.Math.Functions.html#erf/1","title":"Statistics.Math.Functions.erf/1","type":"function"},{"doc":"The Gamma function\n\nThis implementation uses the [Lanczos approximation](http://en.wikipedia.org/wiki/Lanczos_approximation)","ref":"Statistics.Math.Functions.html#gamma/1","title":"Statistics.Math.Functions.gamma/1","type":"function"},{"doc":"iex> Statistics.Math.Functions.gamma(0.5)\n    1.7724538509055159","ref":"Statistics.Math.Functions.html#gamma/1-examples","title":"Examples - Statistics.Math.Functions.gamma/1","type":"function"},{"doc":"Lower incomplete Gamma function","ref":"Statistics.Math.Functions.html#gammainc/2","title":"Statistics.Math.Functions.gammainc/2","type":"function"},{"doc":"iex> Statistics.Math.Functions.gammainc(1,1)\n    0.63212055882855778","ref":"Statistics.Math.Functions.html#gammainc/2-examples","title":"Examples - Statistics.Math.Functions.gammainc/2","type":"function"},{"doc":"Hypergeometrc 2F1 functiono\n\nWARNING: the implementation is incomplete, and should not be used","ref":"Statistics.Math.Functions.html#hyp2f1/4","title":"Statistics.Math.Functions.hyp2f1/4","type":"function"},{"doc":"The  inverse 'error' function","ref":"Statistics.Math.Functions.html#inv_erf/1","title":"Statistics.Math.Functions.inv_erf/1","type":"function"},{"doc":"Simpsons rule for numerical integration of a function\n\nsee: http://en.wikipedia.org/wiki/Simpson's_rule","ref":"Statistics.Math.Functions.html#simpson/4","title":"Statistics.Math.Functions.simpson/4","type":"function"},{"doc":"iex> Statistics.Math.Functions.simpson(fn x -> x*x*x end, 0, 20, 100000)\n    40000.00000000011","ref":"Statistics.Math.Functions.html#simpson/4-examples","title":"Examples - Statistics.Math.Functions.simpson/4","type":"function"},{"doc":"Student's t test","ref":"Statistics.Tests.TTest.html","title":"Statistics.Tests.TTest","type":"module"},{"doc":"A two-sided test for the null hypothesis that the \nmean of `list1` is different to the mean of `list2`.\n\nThe variance of the lists should be equal but the \nsample size of each last can be different.\n\nReturns the _t_ statistic, and the _p_ value.","ref":"Statistics.Tests.TTest.html#ind_samples/2","title":"Statistics.Tests.TTest.ind_samples/2","type":"function"},{"doc":"iex> Statistics.Tests.TTest.ind_samples([1,2,3,2,1], [3,2,4,3,5])\n    %{p: 0.022802155958137702, t: -2.82842712474619}\n\n    iex> Statistics.Tests.TTest.ind_samples([1,2,3,2,1], [3,2,4,3,5,4,5,6])\n    %{p: 0.0044530673387188, t: -3.5858542135407596}","ref":"Statistics.Tests.TTest.html#ind_samples/2-example","title":"Example - Statistics.Tests.TTest.ind_samples/2","type":"function"},{"doc":"A two-sided test for the null hypothesis that the \nexpected value (mean) of a sample of independent\nobservations a is equal to the given population mean, `popmean`.\n\nReturns the _t_ statistic, and the _p_ value.","ref":"Statistics.Tests.TTest.html#one_sample/2","title":"Statistics.Tests.TTest.one_sample/2","type":"function"},{"doc":"iex> Statistics.Tests.TTest.one_sample([1,2,3,2,1], 3)\n    %{p: 0.023206570788795993, t: -3.585685828003181}","ref":"Statistics.Tests.TTest.html#one_sample/2-example","title":"Example - Statistics.Tests.TTest.one_sample/2","type":"function"}]}